name        : perl
version     : 5.34.0
release     : 1
summary     : Perl interpreter and modules
license     :
    - Artistic-1.0
    - GPL-2.0-or-later
homepage    : https://www.perl.org/
description : |
    Perl interpreter and modules
upstreams   :
    - https://www.cpan.org/src/5.0/perl-5.34.0.tar.xz: 82c2e5e5c71b0e10487a80d79140469ab1f8056349ca8545140a224dbbed7ded
setup       : |
    %patch %(pkgdir)/serpent/soname.patch

    ./Configure -des \
        -Dprefix=/usr \
        -Dscriptdir=/usr/bin \
        -Dvendorprefix=/usr \
        -Dcc="$CC" \
        -Dldflags="$LDFLAGS" \
        -Dlddflags="$LDFLAGS" \
        -Dman1dir=/usr/share/man/man1 \
        -Dman3dir=/usr/share/man/man3 \
        -Duseshrplib \
        -Dusethreads \
        -Adefine:optimize="-O3 " \
        -Aappend:optimize="$CFLAGS" \
        -Adefine:ccflags="$CFLAGS" \
        -Adefine:ldflags="$LDFLAGS" \
        -Adefine:lddflags="$LDFLAGS"
build       : |
    %make
install     : |
    %make_install
#workload    : |
#    TEST_JOBS="%(jobs)" make test_harness ||:
